Subject: Re: [TI994A] Monitor

From: Owen Brand <[email-masked]>
Date: Mon, 13 May 2013 22:43:41 -0600

There's one place called Fistells....  But they aren't ever open.  2-3 days a week and the owner is kind of out of his mind...  The voice message when you call after hours sounds like the ramblings of a drunk homeless man.....

Owen Brand
Opry99er

Owen Brand <[email-masked]> wrote:

>Apparently I don't know where to shop!!!  :)
>
>Have you got any suggestions on where to look for one?  Radio Shack is worthless and Best But doesn't carry jack crap.  Electronics stores are just iPhone accessory shops anymore.  Just way overpriced cheap crap.
>
>I live in Denver....  one of the biggest cities in America, and I can't find a stinking DC adapter for my monitor.
>
>There are a few hobby shops around, but none of them has had a clue when I called.  
>
>Flea market maybe?  
>
>Owen Brand
>Opry99er
>
>Jeff White <[email-masked]> wrote:
>
>>Owen,
>>
>>This appears to be the service manual for what you have purchased:
>>
>>http://www.tgohome.com/ServiceManuals/Philips-Magnavox/Philips_Chassis_F1_15MF605T_20MF605T_[SM].pdf
>>
>>The power supply is rated at 16VDC, 3.75A (100V~240V AC, grounded).  Typical power usage is 40W for your model, so the power supply has a higher current rating than needed.  I see replacement supplies on Amazon for less than $10 including shipping, so I expect one can be found for under $5 locally.  The ones I found are 16VDC, 4.5A, which are more than sufficient for a 72W monitor.
>>
>>In looking at the DC/DC power schematic of the service manual, a 15VDC, 3A supply is probably close enough.
>>
>>Jeff White
>>> 
>>